Net::Packet::PPP(3)

NAME
Net::Packet::PPP - Point-to-Point Protocol layer 2 object

SYNOPSIS
   use Net::Packet::Consts qw(:ppp);
   require Net::Packet::PPP;

   # Build a layer
   my $layer = Net::Packet::PPP->new(
      protocol => NP_PPP_PROTOCOL_IPv4,
   );
   $layer->pack;

   print 'RAW: '.unpack('H*', $layer->raw)."\n";

   # Read a raw layer
   my $layer = Net::Packet::PPP->new(raw => $raw);

   print $layer->print."\n";
   print 'PAYLOAD: '.unpack('H*', $layer->payload)."\n"
      if $layer->payload;

DESCRIPTION
This modules implements the encoding and decoding of the Point-to-Point Protocol layer.

See also Net::Packet::Layer and Net::Packet::Layer2 for other attributes and methods.

ATTRIBUTES

protocol - 16 bits

METHODS
new Object constructor. You can pass attributes that will overwrite default ones. Default values:

    protocol: NP_PPP_PROTOCOL_IPv4

pack
    Packs all attributes into a raw format, in order to inject to network. Returns 1 on success, undef otherwise.

unpack
    Unpacks raw data from network and stores attributes into the object. Returns 1 on success, undef otherwise.

isProtocolIpv4
isProtocolPpplcp
    Return 1 when encpasulated layer is of respective type. 0 otherwise.

CONSTANTS
Load them: use Net::Packet::Consts qw(:ppp);

NP_PPP_HDR_LEN
    PPP header length.

NP_PPP_PROTOCOL_IPv4
NP_PPP_PROTOCOL_PPPLCP
    Various supported encapsulated layer types.

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2004-2009, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.

RELATED MODULES
NetPacket, Net::RawIP, Net::RawSock